######################################################################
# This script demonstrates how to access TFunctionParser using Perl.
# Perl (e.g. ActivePerl) must be installed on your computer and 
# the Perl version must support COM (Win32::OLE).
# 
# The script writes the content of the ConstantsText property to
# $ConstFile 
######################################################################

use Win32::OLE;

# creating mhgspars.FunctionParser object
my $FunctionParser = Win32::OLE->new('mhgspars.FunctionParser'); 
# retrieving ConstantsText
my $ConstText = $FunctionParser->ConstantsText;

# initializing destination file
my $ConstFile        = "c:\\physcons.txt";
open(OUTPUT, ">$ConstFile") || die "Unable to open $ConstFile: $!"; 

#saving text to Output-File
print OUTPUT $ConstText;
close(OUTPUT);


